import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/core/styles/app_images.dart';
import 'package:tanami_app/core/styles/app_text.dart';
import 'package:tanami_app/shared/components/text_widget.dart';

Widget kycCard() {
  return Container(
    clipBehavior: Clip.antiAlias,
    padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 8),
    decoration: ShapeDecoration(
      color: AppColor.investKycCardColor,
      shape: RoundedRectangleBorder(
        side: const BorderSide(width: 1, color: AppColor.investKycBorderColor),
        borderRadius: BorderRadius.circular(22),
      ),
      shadows: const [
        BoxShadow(
          color: AppColor.investKycBoxShadow1Color,
          blurRadius: 4,
          offset: Offset(0, 1),
          spreadRadius: 0,
        ),
        BoxShadow(
          color: AppColor.investKycBoxShadow2Color,
          blurRadius: 4,
          offset: Offset(0, 8),
          spreadRadius: 0,
        )
      ],
    ),
    child: Row(
      children: [
        SvgPicture.asset(
          AppImages.investIcon,
        ),
        const Gap(8),
        Expanded(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              TextWidget().text14W600(
                AppText.completeYourVerification,
                clr: AppColor.languageTextColor,
              ),
              TextWidget().text11W500(
                AppText.verifyYourAccountInUnderMinutesToStartInvestingToday,
                clr: AppColor.languageTextColor,
              ),
            ],
          ),
        ),
      ],
    ),
  );
}
